Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class SupportUserRoles
    Inherits BaseObject

    Private _SupportRoles As SupportRoles
    Private _User As User

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property SupportRoles As SupportRoles
        Get
            Return _SupportRoles
        End Get
        Set(value As SupportRoles)
            SetPropertyValue("SupportRoles", _SupportRoles, value)
        End Set
    End Property
    Property User As User
        Get
            Return _User
        End Get
        Set(value As User)
            SetPropertyValue("User", _User, value)
        End Set
    End Property

End Class
